/*
 * $Id: Company.java,v 1.2 2005/12/06 23:12:34 boogie Exp $
 */ 
package formdef.plugin.example.nested.business;

import java.util.List;
import java.util.Iterator;

/**
 * Holds the information about a company.
 */
public class Company {
    
    private String name;
    private Address address;


    public Company() {
    }

    public Company(String name) {
        this.name = name;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    
    public Address getAddress() {
        return address;
    }

    public void setAddress(Address address) {
        this.address = address;
    }
    
    
    public List getEmployees() {
        return EmployeeHandler.getInstance().getEmployeeList();
    }
    
    public void setEmployees(List employees) {
        EmployeeHandler empHandler = EmployeeHandler.getInstance();
        for (Iterator iterator = employees.iterator(); iterator.hasNext();) {
            Employee employee = (Employee) iterator.next();
            if (empHandler.getEmployee(employee.getNumber()) == null) {
                empHandler.createEmployee(employee);
            } else {
                empHandler.updateEmployee(employee);
            }
        }
    }

}
