/*
 * $Id: CompanyHandler.java,v 1.2 2005/12/06 23:12:34 boogie Exp $
 */ 
package formdef.plugin.example.nested.business;

/**
 * Simulates a business tier object that handles Company operations.
 */
public class CompanyHandler {
    
    /** The instance used by the application. */
    private static CompanyHandler instance = new CompanyHandler();
    
    /** The Company used by this object. */
    private Company company = null;
    
    
    
    /**
     * Private constructor.
     */ 
    private CompanyHandler() {
        company = new Company("Acme Corporation");
        company.setAddress(new Address("12123 Park St.", "Rochester", "MN", 55901));
    }
    
    public static CompanyHandler getInstance() {
        return instance;
    }
    
    
    //********************************************************** Public methods
    
    public Company getCompany() {
        return company;
    }
    
    public void updateCompany(Company newData) {
        Company company = getCompany();
        company.setName(newData.getName());
        company.setAddress(newData.getAddress());
        company.setEmployees(newData.getEmployees());
    }
        
    
}
