/*
 * $Id: EmployeeEditAction.java,v 1.2 2005/12/06 23:12:34 boogie Exp $
 */ 
package formdef.plugin.example.nested.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.*;
import org.apache.struts.util.ModuleUtils;
import org.apache.struts.config.ModuleConfig;
import org.apache.commons.logging.LogFactory;
import org.apache.commons.logging.Log;

import formdef.plugin.example.nested.business.EmployeeHandler;
import formdef.plugin.example.nested.business.Employee;
import formdef.plugin.example.nested.business.CompanyHandler;
import formdef.plugin.example.nested.business.Company;
import formdef.plugin.util.FormUtils;

/**
 * Handles the edit operations available on the Employee List page.
 */
public class EmployeeEditAction extends Action {

    private static final Log log = LogFactory.getLog(EmployeeEditAction.class);

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
            throws Exception {

        DynaActionForm dynaForm = (DynaActionForm) form;
        log.debug("dynaForm=" + dynaForm);

        if (dynaForm.get("action").equals("Add New Employee")) {

            // create our empty form beans
            ActionForm employeeForm = 
                    FormUtils.getInstance().createActionForm("employeeForm", 
                            this, mapping, request);
            //DynaActionForm addressForm = FormUtils.getInstance()
            //        .createDynaActionForm("addressForm", moduleConfig, this);
            //
            //// set the address on the employeeForm
            //employeeForm.set("address", addressForm);

            // pass this to the jsp
            request.getSession().setAttribute("employeeForm", employeeForm);
            return mapping.findForward("employee.new");
            
        } else if (dynaForm.get("action").equals("Edit Company")) {
            Company company = CompanyHandler.getInstance().getCompany();
            ActionForm companyForm = 
                    FormUtils.setFormValues("companyForm", company,
                            this, mapping, request);
            
            request.getSession().setAttribute("companyForm", companyForm);
            return mapping.findForward("company.edit");
        } else {

            int employeeNumber = Integer.parseInt((String) dynaForm.get("number"));

            Employee employee =
                    EmployeeHandler.getInstance().getEmployee(employeeNumber);

            // pass the data from the employee bean to the form
            DynaActionForm employeeForm = (DynaActionForm)
                    FormUtils.setFormValues("employeeForm", employee,
                            this, mapping, request);

            // also populate the address field, which formutils will skip
            employeeForm.set("address",
                    FormUtils.setFormValues("addressForm", employee.getAddress(),
                            this, mapping, request));

            // pass this to the jsp
            request.getSession().setAttribute("employeeForm", employeeForm);
            return mapping.findForward("employee.edit");
        }
    }

}
