/*
 * $Id: EmployeeListAction.java,v 1.2 2005/12/06 23:12:34 boogie Exp $
 */ 
package formdef.plugin.example.nested.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.*;
import org.apache.struts.config.ModuleConfig;
import org.apache.struts.config.FormBeanConfig;
import org.apache.struts.util.ModuleUtils;
import org.apache.commons.logging.LogFactory;
import org.apache.commons.logging.Log;

import formdef.plugin.example.nested.business.CompanyHandler;
import formdef.plugin.example.nested.business.Company;
import formdef.plugin.example.nested.business.Employee;


/**
 * Retrieves the company data from the "business tier" and passes it to the
 * view.
 */
public class EmployeeListAction extends Action {

    private static final Log logger =
            LogFactory.getLog(EmployeeListAction.class);

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm actionForm,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
            throws Exception {

        Company company = CompanyHandler.getInstance().getCompany();
        request.setAttribute("company", company);
        
        // use standard Struts classes to retrieve a FormDef-defined form
        ModuleConfig moduleConfig = 
                ModuleUtils.getInstance().getModuleConfig(request);
        FormBeanConfig fbc = 
                moduleConfig.findFormBeanConfig("employeeNumberForm");
        DynaActionForm form = 
                (DynaActionForm) fbc.createActionForm(getServlet());

        // prepopulate the number field
        Employee employee = (Employee) company.getEmployees().get(0);
        form.set("number", String.valueOf(employee.getNumber()));
        request.getSession().setAttribute("employeeNumberForm", form);
        
        return mapping.findForward("employees.home");
    }

}
