/*
 * $Id: EmploymentTypeConverter.java,v 1.2 2005/12/06 23:12:35 boogie Exp $
 */ 
package formdef.plugin.example.nested.web;

import formdef.plugin.conversion.Converter;
import formdef.plugin.conversion.ConversionContext;
import formdef.plugin.example.nested.business.EmploymentType;

/**
 * Converts data between EmploymentType and String types.
 */
public class EmploymentTypeConverter implements Converter {

    /**
     * <p>Converts the value to the specified type.</p>
     * 
     * @param context the {@link ConversionContext} holding information
     * about the value to convert and additional conversion parameters
     * @return the equivalent of the given value, in the specified type
     */
    public Object convert(ConversionContext context) {
        Class type = context.getType();
        Object value = context.getValue();
        
        if (type.equals(EmploymentType.class)) {
            // the output should be of type EmploymentType
            if ("F".equalsIgnoreCase((String)value)) {
                return EmploymentType.TYPE_FULL_TIME;
            } else {
                return EmploymentType.TYPE_PART_TIME;
            }
        } else if (type.equals(String.class)) {
            // the output should be a String
            if (EmploymentType.TYPE_FULL_TIME == value) {
                return "F";
            } else {
                return "P";
            }
        } else {
            throw new IllegalArgumentException("Unsupported type parameter: " + type);
        }
    }

}
